#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_LOOP0_1" type="LOOP0" x="100" y="100">
    </Node>
    <NetOutput name="OUTPUT" node="node_LOOP0_1" terminal="OUTPUT" object_type="Vector&lt;ObjectRef&gt;" description="The same as input."/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_PyDisplayLocalization_1" type="PyDisplayLocalization" x="420" y="100">
      <Parameter name="WINDOW_LENGTH" type="int" value="500" description="Window length to show at the same time [sample]"/>
      <Parameter name="UPDATE_CYCLE" type="int" value="50" description="The cycle to update the plot."/>
      <Parameter name="FILENAME" type="string" value="localization.png" description="file name to save. The extension is automatically interpreted."/>
    </Node>
    <Node name="node_LoadSourceLocation_1" type="LoadSourceLocation" x="100" y="170">
      <Parameter name="FILENAME" type="string" value="plotSourceExample.xml" description="The filename to load source locations."/>
    </Node>
    <Node name="node_DisplayLocalization_1" type="DisplayLocalization" x="450" y="220">
      <Parameter name="WINDOW_NAME" type="string" value="Source Location" description="Window name of the time-azimuth map [default: Window name]"/>
      <Parameter name="WINDOW_LENGTH" type="int" value="1000" description="Window length to show at the same time [sample]"/>
      <Parameter name="VERTICAL_RANGE" type="object" value="&lt;Vector&lt;int&gt; -180 180&gt;" description="Plot range of the vertical axis"/>
      <Parameter name="PLOT_TYPE" type="string" value="AZIMUTH" description="Coordinate setting for the plotting"/>
    </Node>
    <Link from="node_LoadSourceLocation_1" output="SOURCES" to="node_PyDisplayLocalization_1" input="SOURCES"/>
    <Link from="node_LoadSourceLocation_1" output="SOURCES" to="node_DisplayLocalization_1" input="SOURCES"/>
    <NetOutput name="OUTPUT" node="node_PyDisplayLocalization_1" terminal="OUTPUT" object_type="Vector&lt;ObjectRef&gt;" description="The same as input."/>
    <NetOutput name="OUTPUT_1" node="node_DisplayLocalization_1" terminal="OUTPUT" object_type="Vector&lt;ObjectRef&gt;" description="The same as input."/>
    <NetCondition name="CONDITION" node="node_LoadSourceLocation_1" terminal="NOT_EOF"/>
  </Network>
</Document>
